Package com.avaya.clientservices.network.http

## Class ProxyAuthScheme

- java.lang.Object
- - com.avaya.clientservices.network.http.ProxyAuthScheme

- All Implemented Interfaces:
    `org.apache.http.auth.AuthScheme`

      public class ProxyAuthScheme
      extends java.lang.Object
      implements org.apache.http.auth.AuthScheme

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProxyAuthScheme()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.http.Header` | `authenticate​(org.apache.http.auth.Credentials credentials, org.apache.http.HttpRequest httpRequest)` |
    `java.lang.String` | `getParameter​(java.lang.String s)` |
    `java.lang.String` | `getRealm()` |
    `java.lang.String` | `getSchemeName()` |
    `boolean` | `isComplete()` |
    `boolean` | `isConnectionBased()` |
    `void` | `processChallenge​(org.apache.http.Header header)` |
    `void` | `setAuthHeader​(org.apache.http.Header header)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProxyAuthScheme

          public ProxyAuthScheme()

  - ### Method Detail

    - #### processChallenge

          public void processChallenge​(org.apache.http.Header header)
                                throws org.apache.http.auth.MalformedChallengeException

      Specified by:
        `processChallenge` in interface `org.apache.http.auth.AuthScheme`
      Throws:
        `org.apache.http.auth.MalformedChallengeException`

    - #### getSchemeName

          public java.lang.String getSchemeName()

      Specified by:
        `getSchemeName` in interface `org.apache.http.auth.AuthScheme`

    - #### getParameter

          public java.lang.String getParameter​(java.lang.String s)

      Specified by:
        `getParameter` in interface `org.apache.http.auth.AuthScheme`

    - #### getRealm

          public java.lang.String getRealm()

      Specified by:
        `getRealm` in interface `org.apache.http.auth.AuthScheme`

    - #### isConnectionBased

          public boolean isConnectionBased()

      Specified by:
        `isConnectionBased` in interface `org.apache.http.auth.AuthScheme`

    - #### isComplete

          public boolean isComplete()

      Specified by:
        `isComplete` in interface `org.apache.http.auth.AuthScheme`

    - #### authenticate

          public org.apache.http.Header authenticate​(org.apache.http.auth.Credentials credentials,
                                                     org.apache.http.HttpRequest httpRequest)
                                              throws org.apache.http.auth.AuthenticationException

      Specified by:
        `authenticate` in interface `org.apache.http.auth.AuthScheme`
      Throws:
        `org.apache.http.auth.AuthenticationException`

    - #### setAuthHeader

          public void setAuthHeader​(org.apache.http.Header header)